From 668401239272ab825033dd35d8f49395ae3f66fd Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Wed, 29 Aug 2012 11:43:33 +0200
Subject: Add propper routes for users and search

--HG--
extra : source : 8e630ce0d9166c7d05f1c79512ab5f69b670854a
---
 app/helpers/application_helper.rb       |    2 +-
 app/views/layouts/base.html.erb         |   10 +++++-----
 app/views/search/_quick_search.html.erb |    2 +-
 config/routes.rb                        |   16 ++++++++++++++++
 4 files changed, 23 insertions(+), 7 deletions(-)

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb
index 739fbe3..de01db6 100644
--- a/app/helpers/application_helper.rb
+++ b/app/helpers/application_helper.rb
@@ -48,7 +48,7 @@ module ApplicationHelper
     if user.is_a?(User)
       name = h(user.name(options[:format]))
       if user.active?
-        link_to name, :controller => 'users', :action => 'show', :id => user
+        link_to name, user_path(user)
       else
         name
       end
diff --git a/app/views/layouts/base.html.erb b/app/views/layouts/base.html.erb
index e1df047..c2aec14 100644
--- a/app/views/layouts/base.html.erb
+++ b/app/views/layouts/base.html.erb
@@ -45,15 +45,15 @@
             <%= render_menu_node(item) %>
         <% end %>
         <li class="drop-down">
-          <%= link_to l(:label_project_plural), { :controller => 'projects', :action => 'index' }, :class => "projects" %>
+          <%= link_to l(:label_project_plural), projects_path, :class => "projects" %>
           <ul style="display:none;">
-            <li><%= link_to l(:label_project_all), { :controller => 'projects', :action => 'index' }, :class => "projects separator" %></li>
+            <li><%= link_to l(:label_project_all), projects_path, :class => "projects separator" %></li>
             <%
             project_content = ''
             project_tree(User.current.projects.all) do |project, level|
               name_prefix = (level > 0 ? ('&nbsp;' * 2 * level + '&#187; ') : '')
               project_content << content_tag(:li,
-                                     link_to(name_prefix + h(project), {:controller => 'projects', :action => 'show', :id => project, :jump => current_menu_item}))
+                                     link_to(name_prefix + h(project), project_path(project, :jump => current_menu_item)))
             end
             %>
             <%= project_content %>
@@ -80,11 +80,11 @@
           <% unless User.current.logged? %>
             <% if Setting.self_registration? %>
             <li>
-              <%= link_to l(:label_register), { :controller => 'account', :action => 'register' } %>
+              <%= link_to l(:label_register), register_account_path %>
             </li>
             <% end %>
             <li id="login-menu" class="drop-down last-child">
-              <%= link_to l(:label_login), {:controller => 'account', :action => 'login'}, :class => 'login' %>
+              <%= link_to l(:label_login), signin_path, :class => 'login' %>
               <div id="nav-login" style="display:none;">
                 <%= render :partial => 'account/login' %>
               </div>
diff --git a/app/views/search/_quick_search.html.erb b/app/views/search/_quick_search.html.erb
index 4dd8c0d..7294f01 100644
--- a/app/views/search/_quick_search.html.erb
+++ b/app/views/search/_quick_search.html.erb
@@ -1,5 +1,5 @@
         <%= label_tag("q", l(:label_search), :class => "hidden-for-sighted") %>
-        <% form_tag({:controller => 'search', :action => 'index', :id => @project}, :method => :get) do %>
+        <% form_tag(search_path(:project_id => @project), :method => :get) do %>
           <%= hidden_field_tag(controller.default_search_scope, 1, :id => nil) if controller.default_search_scope %>
           <%= text_field_tag 'q', search_term, :size => 20, :class => 'search_field', :placeholder => l(:search_input_placeholder), :accesskey => accesskey(:quick_search) %>
         <% end %>
diff --git a/config/routes.rb b/config/routes.rb
index 467a362..dbc9237 100644
--- a/config/routes.rb
+++ b/config/routes.rb
@@ -18,6 +18,11 @@ ChiliProject::Application.routes.draw do
 
   match '/login' => 'account#login', :as => 'signin'
   match '/logout' => 'account#login', :as => 'signout'
+  resource :account, :controller => 'account', :only => [] do
+    match 'register', :via => [:get, :post]
+    match 'lost_password', :via => [:get, :post]
+    get 'activate'
+  end
 
   resources :p, :controller => :projects, :as => :projects do
     get 'activity' => 'activities#index' # CHANGED :id is not :project_id
@@ -27,6 +32,7 @@ ChiliProject::Application.routes.draw do
     get '/destroy' => 'projects#destroy', :as => 'destroy'
     post 'modules' # should be PUT?
     get 'roadmap' => 'versions#index'
+    get 'search' => 'search#index'
     get 'settings(/:tab)' => 'projects#settings', :as => 'settings'
     post 'unarchive' # should be PUT?
 
@@ -185,6 +191,16 @@ ChiliProject::Application.routes.draw do
     resources :comments, :only => [:create, :destroy]
   end
 
+  resources :users do
+    # TODO: resourcify these routes
+    put    'memberships/:membership_id', :to => 'users#edit_membership', :as => 'membership'
+    delete 'memberships/:membership_id', :to => 'users#destroy_membership'
+    post   'memberships', :to => 'users#edit_membership'
+  end
+
+
+  get 'search' => 'search#index'
+
   namespace :sys do
     get 'projects' => 'sys#projects'
     post 'projects/:id/repository' => 'sys#create_project_repository', :as => 'create_project_repository'
-- 
1.7.1


